import java.awt.*;
import javax.swing.*;

public class ZOrder extends JPanel
{
   int h = 60;   // height
   int w = 100;  // width
   int overlap = h * 2 / 3;
   int buffer = 20;
   
   public ZOrder()
   {
      super();
      setPreferredSize (new Dimension (350, 200));
      setLayout (null);

      // add 3 buttons using w/o specifying index
      for (int i = 1; i <= 3; i++)
      {
         JButton bar = new JButton("default " + i);
         bar.setBounds (i*buffer, i*overlap, w, h);
         add (bar);
      }

      // push 3 buttons onto the top of the stack
      for (int i = 4; i <= 6; i++)
      {
         JButton bar = new JButton ("stack " + i);
         bar.setBounds ((i * buffer) + 100,
    		  ((i-3) * overlap), w, h);
         add (bar, 0);
      }
   }

   public static void main (String[] args)
   {
      ZOrder panel = new ZOrder();
      JFrame frame = new JFrame ("ZOrder");
      frame.getContentPane().setLayout
         (new BorderLayout());
      frame.getContentPane().add
         (panel, BorderLayout.CENTER);
      frame.pack();
      frame.show();
   }
}
