/**
 *  Item 6: Avoid the "Hidden Field Pitfall
 */

import java.net.URL;

public class Types
{
   int x; //instance variable
   static int y; //class variable

   public Types(String s) //s is a constructor parameter
   {
      // constructor code ...
   }

   public void createURL(String urlString) //urlString is a method parameter
   {
      String name = "example"; //name is a method parameter
      try
      {
         URL url = new URL(urlString);
      }
      catch(Exception e) //e is an exception-handler parameter
      {
         // handle exception
      }
   }
}
