import java.awt.*;

public class LoginFrame_2
{
    public static void main (String args[])
    {
        Frame f = new Frame("Login");
        GridBagLayout layout = new GridBagLayout();
        //GridBag_clean layout = new GridBag_clean();
        f.setLayout(layout);

        layout.columnWeights = new double[8];
        layout.columnWidths = new int[8];
        for (int i = 0; i < layout.columnWeights.length; i++)
        {
            layout.columnWeights[i] = 1.0;
            layout.columnWidths[i] = 100;
        }

        layout.rowWeights = new double[4];
        layout.rowHeights = new int[4];
        for (int i = 0; i < layout.rowWeights.length; i++)
        {
            layout.rowWeights[i] = 1.0;
            layout.rowHeights[i] = 100;
        }


        GridBagConstraints gbc = new GridBagConstraints();
        gbc.gridx = 1;
        gbc.gridy = 1;
        gbc.gridwidth = 2;
        gbc.gridheight = 1;
        gbc.weightx = 1;
        gbc.weighty = 1;

        Label userNameLabel = new Label("User Name:");
        layout.setConstraints(userNameLabel, gbc);
        f.add(userNameLabel);

        gbc.gridx = 3;
        gbc.gridy = 1;
        gbc.gridwidth = 4;
        gbc.gridheight = 1;
        gbc.fill = GridBagConstraints.HORIZONTAL;
        TextField userNameText = new TextField();
        layout.setConstraints(userNameText, gbc);
        f.add(userNameText);

        gbc.gridx = 1;
        gbc.gridy = 2;
        gbc.gridwidth = 2;
        gbc.gridheight = 1;
        Button okButton = new Button("OK");
        layout.setConstraints(okButton, gbc);
        f.add(okButton);

        gbc.gridx = 5;
        gbc.gridy = 2;
        gbc.gridwidth = 2;
        gbc.gridheight = 1;
        Button cancelButton = new Button("Cancel");
        layout.setConstraints(cancelButton, gbc);
        f.add(cancelButton);

        f.setSize(300,150);
        f.setVisible(true);
        System.out.println("user name min width: " + userNameLabel.getMinimumSize().width);

        double[][] layoutWeights = layout.getLayoutWeights();
        int[][] layoutDimensions = layout.getLayoutDimensions();

        System.out.println("Weights:");
        for (int i = 0; i < layoutWeights.length; i++)
        {
            for (int j = 0; j < layoutWeights[i].length; j++)
            {
                if (i == 0)
                    System.out.println("col " + j + ": " + layoutWeights[i][j]);
                else if (i == 1)
                    System.out.println("row " + j + ": " + layoutWeights[i][j]);
            }
        }

        System.out.println();
        System.out.println("Dimensions:");
        for (int i = 0; i < layoutDimensions.length; i++)
        {
            for (int j = 0; j < layoutDimensions[i].length; j++)
            {
                if (i == 0)
                    System.out.println("col " + j + ": " + layoutDimensions[i][j]);
                else if (i == 1)
                    System.out.println("row " + j + ": " + layoutDimensions[i][j]);
            }
        }
    }
}
